> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Email Sender

> Partial update of a sender identity (display name, reply-to address, default flag, verification mode).



## OpenAPI

````yaml PATCH /email/senders/{sender_id}/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /email/senders/{sender_id}/:
    patch:
      tags:
        - email
      summary: Update Email Sender Identity
      description: >-
        Partial update of a sender identity (display name, reply-to address,
        default flag, verification mode).
      operationId: email_senders_partial_update_2
      parameters:
        - in: path
          name: sender_id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedEmailSenderIdentityRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedEmailSenderIdentityRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedEmailSenderIdentityRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailSenderIdentity'
          description: ''
        '404':
          description: Sender not found.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    PatchedEmailSenderIdentityRequest:
      type: object
      properties:
        from_name:
          type: string
          maxLength: 255
        from_email:
          type: string
          format: email
          minLength: 1
          maxLength: 255
        verification_mode:
          $ref: '#/components/schemas/VerificationModeEnum'
        reply_to_email:
          type: string
          format: email
          maxLength: 255
        use_default_reply_to:
          type: boolean
        status:
          $ref: '#/components/schemas/StatusA39Enum'
        provider_sender_id:
          type: string
          maxLength: 255
        verification_details: {}
        is_default:
          type: boolean
        is_deleted:
          type: boolean
        verified_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
        company:
          type: string
          format: uuid
        connection:
          type: string
          format: uuid
          nullable: true
        domain:
          type: string
          format: uuid
          nullable: true
    EmailSenderIdentity:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        from_name:
          type: string
          maxLength: 255
        from_email:
          type: string
          format: email
          maxLength: 255
        verification_mode:
          $ref: '#/components/schemas/VerificationModeEnum'
        reply_to_email:
          type: string
          format: email
          maxLength: 255
        use_default_reply_to:
          type: boolean
        status:
          $ref: '#/components/schemas/StatusA39Enum'
        provider_sender_id:
          type: string
          maxLength: 255
        verification_details: {}
        is_default:
          type: boolean
        is_deleted:
          type: boolean
        verified_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          readOnly: true
        company:
          type: string
          format: uuid
        connection:
          type: string
          format: uuid
          nullable: true
        domain:
          type: string
          format: uuid
          nullable: true
      required:
        - company
        - from_email
        - id
        - updated_at
    VerificationModeEnum:
      enum:
        - single_email
        - domain
      type: string
      description: |-
        * `single_email` - Single Email
        * `domain` - Domain
    StatusA39Enum:
      enum:
        - pending
        - verified
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `verified` - Verified
        * `failed` - Failed
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````